<div
  class="full-width"
  [formGroup]="formGroup"
  [attr.data-test-field-name]="fieldName"
  [hidden]="!ckeditorVisible"
>
  <ckeditor
    (ready)="handleCKEditorReady($event)"
    [formControlName]="fieldName"
    [config]="ckConfig"
    (fileUploadRequest)="handleFileUploadRequest($event)"
    [type]="ckEditorType"
    [editorUrl]="'assets/sqtm-core/js/ckeditor/ckeditor.js'"
    sqtmCoreKeyupStopPropagation
  >
  </ckeditor>
  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
        >{{ error.provideI18nKey() | translate }}</span
      >
    </div>
  }
</div>
